0

I am trying to make callouts to salesforce from an external system using SOAP API. The API version is set to 37.0 but after a couple of days using the same implementation it fails, displaying the following error:

Error: INVALID_LOGIN: Invalid username, password, security token; or user locked out.

I checked all the options mentioned above and they all seemed fine. Later on I verified the login log history and I noticed that when the user failed to connect to the salesforce through the API, the displaying version was set to 36.0 while the previously working one was 37.0. This occured even though nothing was change in my instance.

Would you know what might trigger such an unexpected behaviour?

  • 1
    May be issue with security token i think so.@Marc Zaharescu. please refer the below link help.formassembly.com/help/… – Pavan tej Aug 8 '16 at 14:34
  • @Pavan tej, thank you for your answer but, I specified in the description that I verified all error elements from the error message, this includes the security token, login credentials, user being locked out, generation a new wsdl file so it's not the security token. – Marc Zaharescu Aug 8 '16 at 16:26
  • Have you tried using a tool like dataloader to see if the external system's userid and pw+token actually do login to the org? – cropredy Aug 8 '16 at 19:05
  • @cropredy yes I did and they were working fine. Additionally I have to ention that I have 3 sandboxes on the system and I managed to fixed the problem temporary but I had to clear the cache, so every time before I perform the login I need to clear the cache for some reason. – Marc Zaharescu Aug 9 '16 at 9:05

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.